Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(25)

Issue 7206048: code review 7206048: io: reuse Copy buffers beween copies (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 9 months ago by bradfitz
Modified:
6 years, 6 months ago
Visibility:
Public.

Description

io: reuse Copy buffers beween copies

Patch Set 1 #

Patch Set 2 : diff -r 606430dd2eca https://go.googlecode.com/hg/ #

Patch Set 3 : diff -r 606430dd2eca https://go.googlecode.com/hg/ #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+38 lines, -1 line) Patch
M src/pkg/io/io.go View 1 2 chunks +20 lines, -1 line 4 comments Download
M src/pkg/io/io_test.go View 1 2 chunks +18 lines, -0 lines 1 comment Download

Messages

Total messages: 21
bradfitz
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://go.googlecode.com/hg/
8 years, 9 months ago (2013-01-24 00:00:09 UTC) #1
dfc
On 2013/01/24 00:00:09, bradfitz wrote: > Hello mailto:golang-dev@googlegroups.com, > > I'd like you to review ...
8 years, 9 months ago (2013-01-24 00:05:50 UTC) #2
dfc
> Hi Brad. Thanks your for this proposal. I would like to see the magic ...
8 years, 9 months ago (2013-01-24 00:06:13 UTC) #3
dfc
https://codereview.appspot.com/7206048/diff/5001/src/pkg/io/io.go File src/pkg/io/io.go (right): https://codereview.appspot.com/7206048/diff/5001/src/pkg/io/io.go#newcode349 src/pkg/io/io.go:349: return make([]byte, 32*1024) Would you please make this a ...
8 years, 9 months ago (2013-01-24 00:06:19 UTC) #4
bradfitz
This is mostly just for discussion. I'm not even sure how I feel about it, ...
8 years, 9 months ago (2013-01-24 00:12:36 UTC) #5
adg
I think it's implied that you shouldn't hold references to the []byte, by the existing ...
8 years, 9 months ago (2013-01-24 00:17:02 UTC) #6
dfc
I understand your concerns. I wonder if it would be better to leave io.Copy as ...
8 years, 9 months ago (2013-01-24 00:17:56 UTC) #7
dsymonds
On Thu, Jan 24, 2013 at 11:17 AM, Dave Cheney <dave@cheney.net> wrote: > I understand ...
8 years, 9 months ago (2013-01-24 00:18:51 UTC) #8
bradfitz
On Wed, Jan 23, 2013 at 4:17 PM, Dave Cheney <dave@cheney.net> wrote: > I understand ...
8 years, 9 months ago (2013-01-24 00:19:13 UTC) #9
dfc
Yeah, fair call. Would implementing ReadFrom, WriteTo help, or has that path already been investigated ...
8 years, 9 months ago (2013-01-24 00:22:23 UTC) #10
bradfitz
https://codereview.appspot.com/7206048/diff/5001/src/pkg/io/io.go File src/pkg/io/io.go (right): https://codereview.appspot.com/7206048/diff/5001/src/pkg/io/io.go#newcode341 src/pkg/io/io.go:341: var copyBufs = make(chan []byte, 4) On 2013/01/24 00:17:02, ...
8 years, 9 months ago (2013-01-24 00:23:29 UTC) #11
bradfitz
On Wed, Jan 23, 2013 at 4:22 PM, Dave Cheney <dave@cheney.net> wrote: > Yeah, fair ...
8 years, 9 months ago (2013-01-24 00:23:57 UTC) #12
adg
On 24 January 2013 11:23, <bradfitz@golang.org> wrote: > Ideally I'd like it to be burstable ...
8 years, 9 months ago (2013-01-24 00:28:02 UTC) #13
r
the specificity bothers me. why just here? there are reasons to keep it all private ...
8 years, 9 months ago (2013-01-24 05:48:45 UTC) #14
bradfitz
On Wed, Jan 23, 2013 at 9:48 PM, Rob Pike <r@golang.org> wrote: > the specificity ...
8 years, 9 months ago (2013-01-24 06:51:33 UTC) #15
bradfitz
Per request from rsc, filed https://code.google.com/p/go/issues/detail?id=4720 for discussion. On Wed, Jan 23, 2013 at 10:51 ...
8 years, 9 months ago (2013-01-28 18:38:09 UTC) #16
bradfitz
*** Abandoned ***
8 years, 5 months ago (2013-05-17 20:45:02 UTC) #17
bradfitz
If Issue 4720 (sync.Cache or sync.Pool whatever) is stalled, can we revisit this CL? io.Copy ...
8 years, 2 months ago (2013-08-07 22:20:39 UTC) #18
bradfitz
ping. This isn't an API change. On Wed, Aug 7, 2013 at 3:20 PM, Brad ...
8 years, 2 months ago (2013-08-09 01:27:11 UTC) #19
rsc
I have the same concerns about this change that I do about reusing buffers in ...
8 years, 2 months ago (2013-08-09 01:37:03 UTC) #20
wenjianhn
6 years, 6 months ago (2015-04-20 01:38:23 UTC) #21
Message was sent while issue was closed.
On 2013/08/09 01:27:11, bradfitz wrote:
> ping.
> 
> This isn't an API change.
> 
> 
> 
> On Wed, Aug 7, 2013 at 3:20 PM, Brad Fitzpatrick
<mailto:bradfitz@golang.org>wrote:
> 
> > If Issue 4720 (sync.Cache or sync.Pool whatever) is stalled, can we
> > revisit this CL?
> >
> > io.Copy is used everywhere, and generates 32 KB of garbage per call.
> >
> >
> >
> > On Fri, May 17, 2013 at 1:45 PM, <mailto:bradfitz@golang.org> wrote:
> >
> >> *** Abandoned ***
> >>
> >>
>
https://codereview.appspot.**com/7206048/%3Chttps://codereview.appspot.com/72...
> >>
> >
> >

io.CopyBuffer is cool
io: add CopyBuffer, a version of Copy in which the user provides a buffer
https://go-review.googlesource.com/#/c/8730/
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b